@import "./layout";
@import "./mixins";

@mixin HTMLHrefy {
  outline: 0;
  text-decoration: underline;
  word-break: break-word;
  @include make-transition;
  &:hover {
    @include make-transition;
    opacity: .7;
  }
}

.document-html-viewer {
  width: 100%;
  height: 100%;
  &__inner {
    width: 100%;
    height: 100%;
    font-size: 16px;
    line-height: 32px;
    word-break: break-word;
    font-family: var(--default-font-family);
    color: var(--element-default);
    & * .video-wrapper {
      float: none;
      padding: 16px 0;
      width: 100%;
      overflow: hidden;
      position: relative;
    }
    & * img {
      float: none;
      padding: 16px 0;
      max-width: 400px;
      width: 100%;
      overflow: hidden;
      position: relative;
    }
    & * a {
      padding: 0 4px;
      @include HTMLHrefy();
    }
    & * p {
      word-break: break-word;
      font-size: 16px;
      line-height: 32px;
      font-family: var(--default-font-family);
      color: var(--element-default);
      margin: 20px 0;
    }
    & * h1 {
      font-family: var(--default-font-family);
      padding-bottom: 16px;
      font-weight: bold;
    }
    & * h2 {
      font-family: var(--default-font-family);
      padding-top: 64px;
      margin-top: -44px;
      font-size: 32px;
      line-height: 72px;
      font-weight: bold;
      @include mq-down(fm) {
        font-size: 16px;
        line-height: 24px;
      };
    }
    & * h3 {
      font-size: 24px;
      line-height: 38px;
      font-family: var(--default-font-family);
      font-weight: bold;
      @include mq-down(fm) {
        font-size: 18px;
        line-height: 32px;
      };
    }
    & * h4 {
      font-size: 12px;
      line-height: 24px;
      font-family: var(--default-font-family);
      padding-bottom: 16px;
    }
    & * ul {
      font-size: 16px;
      line-height: 32px;
      font-family: var(--default-font-family);
      padding-left: 20px;
      list-style-type: disc;
      margin-block-start: 1em;
      margin-inline-start: 0px;
      margin-inline-end: 0px;
      padding-inline-start: 20px;
    }
    & * ol {
      font-size: 16px;
      line-height: 32px;
      font-family: var(--default-font-family);
      padding-left: 20px;
      list-style: decimal outside;
      margin-block-start: 1em;
      margin-inline-start: 0px;
      margin-inline-end: 0px;
      padding-inline-start: 20px;
    }
    & * ol ol {
      font-size: 16px;
      line-height: 32px;
      font-family: var(--default-font-family);
      padding-left: 20px;
      list-style-type: lower-alpha;
      margin-block-start: 1em;
      margin-inline-start: 0px;
      margin-inline-end: 0px;
      padding-inline-start: 20px;
      & > ol {
        list-style-type: lower-alpha;
      }
    }
    & * li {
      display: list-item;
      text-align: left;
      font-size: 16px;
      font-family: var(--default-font-family);
      line-height: 32px;
      padding-bottom: 20px;
    }
    & * .pre-style, code, pre {
      color: var(--element-default);
      background-color: var(--background-subp2);
      direction: ltr !important;
      font: 400 100%/1 Roboto Mono, monospace;
      padding: 1px 4px;
      text-align: left !important;
    }
    & pre {
      margin: 12px 0;
      padding: 24px;
      font: 14px/20px Roboto Mono, monospace;
      white-space: pre-wrap;
    }
    & * code {
      font: 500 90%/1 Roboto Mono,monospace;
      word-break: break-word;
    }
    // & * pre {
    //   background-color: var(--background-subp1);
    //   margin: 14px 0;
    //   padding: 20px;
    // }
    & * blockquote {
      background-color: var(--background-subp3);
      border-left: 5px solid var(--background-subp1);
      color: var(--element-default);
      margin: 16px 0;
      padding: 10px 20px;
    }
    & * hr {
      background-color: var(--background-subp2);
      border: 0;
      height: 1px;
      margin-top: 32px;
      width: 100%;
    }
    & * aside {
      margin: 16px -40px;
      padding: 16px 40px;
      background-color: var(--background-subp1);
      color: var(--element-default);
      &.danger {
        background-color: var(--element-causion);
        color: var(--element-default);
      }
    }
    & * table {
      display: table;
      border: 0;
      border-collapse: collapse;
      border-spacing: 0;
      font: 14px/20px Roboto,Noto Sans,Noto Sans JP,Noto Sans KR,Noto Naskh Arabic,Noto Sans Thai,Noto Sans Hebrew,Noto Sans Bengali,sans-serif;
      margin: 16px 0 15px;
      width: 100%;
      border-radius: 5px;
      border: var(--background-subp1);
    }
    & * thead {
      display: table-header-group;
      vertical-align: middle;
      border-color: inherit;
    }
    & * tr {
      border: 0;
    }
    & th {
      display: table-cell;
      border: 0;
      margin: 0;
      text-align: left;
      height: 48px;
      padding: 8px;
      vertical-align: middle;
      font-size: 14px;
      font-family: var(--default-font-family);
      font-weight: bold;
      background: var(--background-subp1);
      @include mq-down(fm) {
        font-size: 12px;
        line-height: 20px;
      };
    }
    & tbody {
      display: table-row-group;
      vertical-align: middle;
      border-color: inherit;
      & > tr {
        border-bottom: 1px solid var(--background-subp1);
        &:first-child {
          border-top: 1px solid var(--background-subp1);
        }
      }
    }
    & td {
      vertical-align: top;
      display: table-cell;
      border: 0;
      margin: 0;
      text-align: left;
      padding: 12px 8px;
      background: var(--background-root);
    }
  }
}
